curl --request GET \
--url https://app.xalantis.com/api/tickets/{uuid} \
--header 'Authorization: Bearer <token>'{
"ticket": {
"uuid": "be2dde82-493c-44f8-9118-e468b5c1c732",
"reference": "VEN1-000079",
"subject": "Problème connexion",
"description": "Description détaillée...",
"status": "open",
"priority": "medium",
"category": {
"name": "Technique",
"slug": "technical"
},
"channel": "api",
"requester": {
"type": "email",
"name": "John Doe",
"email": "user@example.com",
"phone": "+33612345678",
"contact_id": 123,
"client_id": 45
},
"assignee": {
"name": "Support Agent",
"email": "support@xalantis.com"
},
"parent_uuid": null,
"custom_fields": {
"os_version": "14.2"
},
"tags": [
"Bug"
],
"due_at": "2026-01-14T10:00:00.000000Z",
"created_at": "2026-01-12T13:55:28.000000Z",
"updated_at": "2026-01-12T13:55:28.000000Z",
"resolved_at": null,
"closed_at": null
}
}
Récupérez les détails complets d’un ticket spécifique.
curl --request GET \
--url https://app.xalantis.com/api/tickets/{uuid} \
--header 'Authorization: Bearer <token>'{
"ticket": {
"uuid": "be2dde82-493c-44f8-9118-e468b5c1c732",
"reference": "VEN1-000079",
"subject": "Problème connexion",
"description": "Description détaillée...",
"status": "open",
"priority": "medium",
"category": {
"name": "Technique",
"slug": "technical"
},
"channel": "api",
"requester": {
"type": "email",
"name": "John Doe",
"email": "user@example.com",
"phone": "+33612345678",
"contact_id": 123,
"client_id": 45
},
"assignee": {
"name": "Support Agent",
"email": "support@xalantis.com"
},
"parent_uuid": null,
"custom_fields": {
"os_version": "14.2"
},
"tags": [
"Bug"
],
"due_at": "2026-01-14T10:00:00.000000Z",
"created_at": "2026-01-12T13:55:28.000000Z",
"updated_at": "2026-01-12T13:55:28.000000Z",
"resolved_at": null,
"closed_at": null
}
}
Authorization :
Authorization: Bearer sk_live_XXXXXXXXXX
{
"ticket": {
"uuid": "be2dde82-493c-44f8-9118-e468b5c1c732",
"reference": "VEN1-000079",
"subject": "Problème connexion",
"description": "Description détaillée...",
"status": "open",
"priority": "medium",
"category": {
"name": "Technique",
"slug": "technical"
},
"channel": "api",
"requester": {
"type": "email",
"name": "John Doe",
"email": "user@example.com",
"phone": "+33612345678",
"contact_id": 123,
"client_id": 45
},
"assignee": {
"name": "Support Agent",
"email": "support@xalantis.com"
},
"parent_uuid": null,
"custom_fields": {
"os_version": "14.2"
},
"tags": [
"Bug"
],
"due_at": "2026-01-14T10:00:00.000000Z",
"created_at": "2026-01-12T13:55:28.000000Z",
"updated_at": "2026-01-12T13:55:28.000000Z",
"resolved_at": null,
"closed_at": null
}
}